function tinyplugin() {
	
	// Retrun plugin value to tinyMCE
    return "[sharelocker-plugin]";
	
}

// Start Tiny MCE plugin
(function() {

    tinymce.create('tinymce.plugins.sharelockerplugin', {

		// When initiated:
        init : function(ed, url){
			
			// Create dialog command
			ed.addCommand('sharelocker-shortcode', function() {
				ed.windowManager.open({
				  file : url + '/mce_dialog.php',
				  width : 600,
				  height : 450,
				  inline : 1
				}, {
				  plugin_url : url
				});
			});
			
			// Add the like locker button to the toolbar
            ed.addButton('sharelockerplugin', {
                title : 'Share Locker',
				cmd : 'sharelocker-shortcode',				
                image: url + "/mce.png"
            }); // end addbutton
			
        },

		// Set MCE plugin info
        getInfo : function() {
			
            return {
				
                longname : 'Wordpress Share LockerTM',
                author : 'PensaWeb.com',
                authorurl : 'http://pensaweb.com',
                infourl : 'http://pensaweb.com',
                version : "2.0"
				
            };
			
        } // end set info
		
    }); // End main plugin init

	// Finally add functionality to toolbar
    tinymce.PluginManager.add('sharelockerplugin', tinymce.plugins.sharelockerplugin);
    
})(); // end plugin